Bug 490591 - Review Request: php-ezc-Template - eZ Components Template
Review Request: php-ezc-Template - eZ Components Template
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 484507 484509
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 02:58 EDT by Guillaume Kulakowski
Modified: 2014-09-02 09:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.3.2-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 20:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-03-17 02:58:16 EDT
Template is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

A fully functional Templating system, supporting template compilation in
different levels, user defined functions and operators, an optimizer, output
escaping for different output handlers to prevent XSS and other security
problems and a plug in system for extra functionality (such as a Translation
system).


SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Template.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Template-1.3.2-1.fc10.noarch.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Template-1.3.2-1.fc10.src.rpm

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-Template*               
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ./*                         | 5.0.0   | 0 | hash       | ...CTORY_SEPARATOR |
|                             |         |   | pcre       | __CLASS__          |
|                             |         |   | spl        | __FILE__           |
|                             |         |   | zip        | __LINE__           |
|                             |         |   |            | abstract           |
|                             |         |   |            | catch              |
|                             |         |   |            | clone              |
|                             |         |   |            | implements         |
|                             |         |   |            | instanceof         |
|                             |         |   |            | interface          |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
|                             |         |   |            | try                |
+-----------------------------+---------+---+------------+--------------------+
Comment 1 Remi Collet 2009-04-27 03:27:21 EDT
REVIEW:

+ rpmlint is ok
php-ezc-Template.src: I: checking
php-ezc-Template.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
2a6c226f185f884bbca084ba95576aba  Template-1.3.2.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2, php-channel(components.ez.no)) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (fedora-rawhide-x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
/usr/bin/pear  
php-common >= 5.2.1
php-pear(components.ez.no/Base) >= 1.6.1
+ Final Provides ok
php-pear(components.ez.no/Template) = 1.3.2
php-ezc-Template = 1.3.2-1.fc8
(END) 



--------
APPROVED
--------
Comment 2 Guillaume Kulakowski 2009-04-27 06:16:13 EDT
New Package CVS Request
=======================
Package Name: php-ezc-Template
Short Description: A fully functional Templating system
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-04-28 22:57:50 EDT
cvs done (with F11 branch added).
Comment 4 Fedora Update System 2009-04-29 02:24:06 EDT
php-ezc-Template-1.3.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-Template-1.3.2-1.fc10
Comment 5 Fedora Update System 2009-04-29 02:24:11 EDT
php-ezc-Template-1.3.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-ezc-Template-1.3.2-1.fc11
Comment 6 Fedora Update System 2009-04-29 02:24:16 EDT
php-ezc-Template-1.3.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-Template-1.3.2-1.fc9
Comment 7 Fedora Update System 2009-05-02 12:38:04 EDT
php-ezc-Template-1.3.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-Template'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4178
Comment 8 Fedora Update System 2009-05-02 12:39:49 EDT
php-ezc-Template-1.3.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Template'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4195
Comment 9 Fedora Update System 2009-05-09 00:11:33 EDT
php-ezc-Template-1.3.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Template'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4501
Comment 10 Fedora Update System 2009-05-12 20:26:41 EDT
php-ezc-Template-1.3.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-12 20:27:06 EDT
php-ezc-Template-1.3.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-12 20:27:54 EDT
php-ezc-Template-1.3.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Guillaume Kulakowski 2010-08-29 05:12:23 EDT
Package Change Request
======================
Package Name: php-ezc-Template  
New Branches: EL-6
Owners: llaumgui
Comment 14 Kevin Fenzi 2010-08-29 14:47:56 EDT
Git done (by process-git-requests).
Comment 15 Guillaume Kulakowski 2014-09-02 09:07:47 EDT
Package Change Request
======================
Package Name: php-ezc-Template  
New Branches: EL-7
Owners: llaumgui
Comment 16 Gwyn Ciesla 2014-09-02 09:22:36 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.